Index: anuga_work/production/dampier_2006/build_dampier.py
===================================================================
--- anuga_work/production/dampier_2006/build_dampier.py	(revision 4177)
+++ anuga_work/production/dampier_2006/build_dampier.py	(revision 4186)
@@ -117,4 +117,4 @@
 if access(project.topographies_dir,F_OK) == 0:
     mkdir (project.topographies_dir)
-#G_clipped.export_points_file(project.combined_dir_name + '.pts')
-G_clipped.export_points_file(project.combined_dir_name + '.xya')
+G_clipped.export_points_file(project.combined_dir_name + '.pts')
+#G_clipped.export_points_file(project.combined_dir_name + '.txt')
Index: anuga_work/production/dampier_2006/project.py
===================================================================
--- anuga_work/production/dampier_2006/project.py	(revision 4177)
+++ anuga_work/production/dampier_2006/project.py	(revision 4186)
@@ -73,5 +73,5 @@
 meshes_dir_name = meshes_dir + scenario_name
 
-polygons_dir = home+sep+state+sep+scenario+sep+'anuga'+sep+'polygons'+sep
+polygons_dir = home+sep+state+sep+scenario+sep+'anuga'+sep+'polygons'+sep+'2007polys'+sep
 tide_dir = home+sep+state+sep+scenario+sep+'anuga'+sep+'tide_data'+sep
 
@@ -102,21 +102,22 @@
 
 refzone = 50 
-south = degminsec2decimal_degrees(-20,55,0)
-north = degminsec2decimal_degrees(-20,15,0)
-west = degminsec2decimal_degrees(116,17,0)
-east = degminsec2decimal_degrees(117,10,0)
-
-p0 = [south, degminsec2decimal_degrees(116,32,0)]
-p1 = [south, west]
-p2 = [degminsec2decimal_degrees(-20,23,0), west]
-p3 = [north, degminsec2decimal_degrees(116,45,0)]
-p4 = [north, degminsec2decimal_degrees(117,0,0)]
-p5 = [p2[0], degminsec2decimal_degrees(117,8,0)]
-p6 = [degminsec2decimal_degrees(-20,30,0), east]
-p7 = [degminsec2decimal_degrees(-20,38,0), east]
-p8 = [south, east]
-
-poly_all, zone = convert_from_latlon_to_utm([p0, p1, p2, p3, p4, p5, p6, p7, p8])
-refzone = zone
+##south = degminsec2decimal_degrees(-20,55,0)
+##north = degminsec2decimal_degrees(-20,15,0)
+##west = degminsec2decimal_degrees(116,17,0)
+##east = degminsec2decimal_degrees(117,10,0)
+##
+##p0 = [south, degminsec2decimal_degrees(116,32,0)]
+##p1 = [south, west]
+##p2 = [degminsec2decimal_degrees(-20,23,0), west]
+##p3 = [north, degminsec2decimal_degrees(116,45,0)]
+##p4 = [north, degminsec2decimal_degrees(117,0,0)]
+##p5 = [p2[0], degminsec2decimal_degrees(117,8,0)]
+##p6 = [degminsec2decimal_degrees(-20,30,0), east]
+##p7 = [degminsec2decimal_degrees(-20,38,0), east]
+##p8 = [south, east]
+##
+##poly_all, zone = convert_from_latlon_to_utm([p0, p1, p2, p3, p4, p5, p6, p7, p8])
+##refzone = zone
+poly_all = read_polygon(polygons_dir+'extent.csv')
 print 'Area of bounding polygon', polygon_area(poly_all)/1000000.0
 
@@ -126,39 +127,98 @@
 # Interior region definitions
 ###############################
-"""
-poly_pos20_neg20 = read_polygon(polygons_dir+'pos20_neg20_pts.csv')
-res_pos20_neg20 = 20000
-
-poly_dampier = read_polygon(polygons_dir+'dampier_pts.csv')
+
+poly_region = read_polygon(polygons_dir+'region.csv')
+res_region = 50000
+
+poly_dampier = read_polygon(polygons_dir+'dampier_town.csv')
 res_dampier = 500
 
-poly_karratha = read_polygon(polygons_dir+'karratha_pts.csv')
-res_karratha = 500
-
-poly_delambre = read_polygon(polygons_dir+'delambre_pts.csv')
+poly_karratha = read_polygon(polygons_dir+'karrathav2.csv')
+res_karratha = 15000
+
+poly_karratha_town = read_polygon(polygons_dir+'karratha_townv2.csv')
+res_karratha_town = 500
+
+poly_delambre = read_polygon(polygons_dir+'delambre.csv')
 res_delambre = 1000
 
-poly_mainisland = read_polygon(polygons_dir+'mainisland_pts.csv')
-res_mainisland = 1000
-
-poly_NWislands = read_polygon(polygons_dir+'NWislands_pts.csv')
-res_NWislands = 1000
-
-plot_polygons([poly_pos20_neg20,poly_dampier,poly_karratha,poly_delambre,polylmainisland,
-               polyNWislands,poly_all],output_run_time_dir + 'poly_pic')
-
-interior_regions = [[poly_pos20_neg20,res_pos20_neg20],[poly_dampier,res_dampier],
-                    [poly_karratha,res_karratha],[poly_delambre,res_delambre],
-                    [poly_mainisland,res_mainisland],[poly_NWislands,res_NWislands]]
+poly_coast = read_polygon(polygons_dir+'coastpoly.csv')
+res_coast = 1000
+
+poly_NWislands = read_polygon(polygons_dir+'nw_islands_area.csv')
+res_NWislands = 50000
+
+poly_island0 = read_polygon(polygons_dir+'island0.csv')
+res_island0 = res_poly_all
+
+poly_island1 = read_polygon(polygons_dir+'island1.csv')
+res_island0 = res_poly_all
+
+poly_island2 = read_polygon(polygons_dir+'island2.csv')
+res_island0 = res_poly_all
+
+poly_island3 = read_polygon(polygons_dir+'island3.csv')
+res_island0 = res_poly_all
+
+res_islands = 5000
+
+poly_ref_nw4 = read_polygon(polygons_dir+'ref_nw4.csv')
+res_ref_nw4 = res_islands
+
+poly_island4 = read_polygon(polygons_dir+'island4.csv')
+res_island0 = res_poly_all
+
+poly_ref_nw5 = read_polygon(polygons_dir+'ref_nw5.csv')
+res_ref_nw5 = res_islands
+
+poly_island5 = read_polygon(polygons_dir+'island5.csv')
+res_island0 = res_poly_all
+
+poly_ref_nw6 = read_polygon(polygons_dir+'ref_nw6.csv')
+res_ref_nw6 = res_islands
+
+poly_island6 = read_polygon(polygons_dir+'island6.csv')
+res_island0 = res_poly_all
+
+poly_ref_nw7 = read_polygon(polygons_dir+'ref_nw7.csv')
+res_ref_nw7 = res_islands
+
+poly_island7 = read_polygon(polygons_dir+'island7.csv')
+res_island0 = res_poly_all
+
+poly_ref_nw8 = read_polygon(polygons_dir+'ref_nw8.csv')
+res_ref_nw8 = res_islands
+
+poly_island8 = read_polygon(polygons_dir+'island8.csv')
+res_island0 = res_poly_all
+
+
+##plot_polygons([poly_dampier,poly_karratha,poly_karratha_town,poly_delambre,
+##                poly_coast,poly_NWislands,poly_island0,poly_island1,poly_island2,
+##                poly_island3,poly_island4,poly_island5,poly_island6,
+##                poly_island7,poly_island8,poly_ref_nw4,poly_ref_nw5,
+##                poly_ref_nw6,poly_ref_nw7,poly_ref_nw8,poly_all],'poly_pic')
+
+interior_regions = [[poly_dampier,res_dampier], 
+                    [poly_karratha,res_karratha],[poly_karratha_town,res_karratha_town],
+                    [poly_delambre,res_delambre],[poly_coast,res_coast],
+                    #[poly_NWislands,res_NWislands],
+                    [poly_island0,res_island0],[poly_island1,res_island0],
+                    [poly_island2,res_island0],[poly_island3,res_island0],
+                    [poly_island4,res_island0],[poly_island5,res_island0],
+                    [poly_island6,res_island0],[poly_island7,res_island0],
+                    [poly_island8,res_island0],[poly_ref_nw4,res_ref_nw4],
+                    [poly_ref_nw5,res_ref_nw5],[poly_ref_nw6,res_ref_nw6],
+                    [poly_ref_nw7,res_ref_nw7],[poly_ref_nw8,res_ref_nw8]]
                     
 trigs_min = number_mesh_triangles(interior_regions, poly_all, res_poly_all)
 
 print 'min number triangles', trigs_min
-"""
+
 ###################################################################
 # Clipping regions for export to asc and regions for clipping data
 ###################################################################
 
-#poly_bathy = read_polygon(polygons_dir+'polybathy.csv')
+poly_bathy = read_polygon(polygons_dir+'poly_bathy.csv')
 
 # exporting asc grid - Dampier
Index: anuga_work/production/dampier_2006/run_dampier.py
===================================================================
--- anuga_work/production/dampier_2006/run_dampier.py	(revision 4177)
+++ anuga_work/production/dampier_2006/run_dampier.py	(revision 4186)
@@ -45,7 +45,7 @@
 
 # filenames
-boundaries_name = project.boundaries_name
+#boundaries_name = project.boundaries_name
 meshes_dir_name = project.meshes_dir_name+'.msh'
-boundaries_dir_name = project.boundaries_dir_name
+#boundaries_dir_name = project.boundaries_dir_name
 
 tide = project.tide
@@ -72,6 +72,6 @@
     print 'start create mesh from regions'
     create_mesh_from_regions(project.poly_all,
-                             boundary_tags={'back': [7, 8], 'side': [0, 6],
-                                            'ocean': [1, 2, 3, 4, 5]},
+                             boundary_tags={'back': [2,3], 'side': [0, 1, 4],
+                                            'ocean': [5]},
                              maximum_triangle_area=project.res_poly_all,
                              interior_regions=project.interior_regions,
@@ -137,5 +137,5 @@
 
     domain.set_quantity('elevation', 
-                    filename = project.combined_dir_name + '.txt',
+                    filename = project.combined_dir_name + '.pts',
                     use_cache = True,
                     verbose = True,
@@ -179,7 +179,10 @@
 
 print'set_boundary'
+##domain.set_boundary({'back': Br,
+##                     'side': Bf,
+##                     'ocean': Bf})
 domain.set_boundary({'back': Br,
                      'side': Bd,
-                     'ocean': Bf}) 
+                     'ocean': Bd}) 
 print'finish set boundary'
 
Index: anuga_work/production/newcastle_2006/export_results.py
===================================================================
--- anuga_work/production/newcastle_2006/export_results.py	(revision 4177)
+++ anuga_work/production/newcastle_2006/export_results.py	(revision 4186)
@@ -5,5 +5,8 @@
 from os import sep
 
-time_dir = '20061207_035946' 
+#time_dir = '20061207_035946' #bulli
+#time_dir = '20061212_012802' #shovel
+time_dir = '20061212_064757' #yacaaba
+
 directory = project_slide.outputdir
 name = directory + time_dir + sep + project_slide.basename
Index: anuga_work/production/newcastle_2006/project_slide.py
===================================================================
--- anuga_work/production/newcastle_2006/project_slide.py	(revision 4177)
+++ anuga_work/production/newcastle_2006/project_slide.py	(revision 4186)
@@ -116,7 +116,16 @@
 ###################################################################
 
-slide_origin_a = [352928.37,6188303.94]
-slide_origin_b = [393301.80,6253255.08]
-slide_origin_c = [446025.35,6330307.46]
+# historical slides
+slide_origin_bulli = [370110,6189489]
+slide_origin_shovel = [354753,6187397]
+slide_origin_yacaaba = [463012,6334735]
+
+# potential slides
+slide_origin_bulli_b = [405617,6249852]
+slide_origin_bulli_c = [465283,6335210]
+slide_origin_shovel_b = [396262,6252144]
+slide_origin_shovel_c = [458694,6340352]
+slide_origin_yacaaba_a = [361753,6188786]
+slide_origin_yacaaba_b = [401897,6250643]
 
 bulli_depth = 2087.0
Index: anuga_work/production/newcastle_2006/run_newcastle_slide.py
===================================================================
--- anuga_work/production/newcastle_2006/run_newcastle_slide.py	(revision 4177)
+++ anuga_work/production/newcastle_2006/run_newcastle_slide.py	(revision 4186)
@@ -148,6 +148,6 @@
                                slope=project_slide.yacaaba_slope,
                                thickness=project_slide.yacaaba_thickness, 
-                               x0=project_slide.slide_origin_c[0], 
-                               y0=project_slide.slide_origin_c[1], 
+                               x0=project_slide.slide_origin_yacaaba_a[0], 
+                               y0=project_slide.slide_origin_yacaaba_a[1], 
                                alpha=project_slide.yacaaba_alpha, 
                                domain=domain)
Index: anuga_work/production/sydney_2006/export_results.py
===================================================================
--- anuga_work/production/sydney_2006/export_results.py	(revision 4177)
+++ anuga_work/production/sydney_2006/export_results.py	(revision 4186)
@@ -5,5 +5,8 @@
 from os import sep
 
-time_dir = '20061211_071516' 
+#time_dir = '20061211_071516' #bulli
+#time_dir = '20061212_012705' #shovel
+time_dir = '20061212_064807' #yacaaba
+
 directory = project_slide.outputdir
 name = directory + time_dir + sep + project_slide.basename
Index: anuga_work/production/sydney_2006/project_slide.py
===================================================================
--- anuga_work/production/sydney_2006/project_slide.py	(revision 4177)
+++ anuga_work/production/sydney_2006/project_slide.py	(revision 4186)
@@ -138,7 +138,16 @@
 ###################################################################
 
-slide_origin_a = [352928.37,6188303.94]
-slide_origin_b = [393301.80,6253255.08]
-slide_origin_c = [446025.35,6330307.46]
+# historical slides
+slide_origin_bulli = [370110,6189489]
+slide_origin_shovel = [354753,6187397]
+slide_origin_yacaaba = [463012,6334735]
+
+# potential slides
+slide_origin_bulli_b = [405617,6249852]
+slide_origin_bulli_c = [465283,6335210]
+slide_origin_shovel_b = [396262,6252144]
+slide_origin_shovel_c = [458694,6340352]
+slide_origin_yacaaba_a = [361753,6188786]
+slide_origin_yacaaba_b = [401897,6250643]
 
 bulli_depth = 2087.0
Index: anuga_work/production/sydney_2006/run_sydney_slide.py
===================================================================
--- anuga_work/production/sydney_2006/run_sydney_slide.py	(revision 4177)
+++ anuga_work/production/sydney_2006/run_sydney_slide.py	(revision 4186)
@@ -168,6 +168,6 @@
                                slope=project_slide.yacaaba_slope,
                                thickness=project_slide.yacaaba_thickness, 
-                               x0=project_slide.slide_origin_b[0], 
-                               y0=project_slide.slide_origin_b[1], 
+                               x0=project_slide.slide_origin_yacaaba_a[0], 
+                               y0=project_slide.slide_origin_yacaaba_a[1], 
                                alpha=project_slide.yacaaba_alpha, 
                                domain=domain)
Index: anuga_work/production/wollongong_2006/export_results.py
===================================================================
--- anuga_work/production/wollongong_2006/export_results.py	(revision 4177)
+++ anuga_work/production/wollongong_2006/export_results.py	(revision 4186)
@@ -5,5 +5,8 @@
 from os import sep
 
-time_dir = '20061211_060105' 
+#time_dir = '20061211_060105' #bulli
+#time_dir = '20061212_012715' #shovel
+time_dir = '20061212_064735' #yacaaba
+
 directory = project_slide.outputdir
 name = directory + time_dir + sep + project_slide.basename
Index: anuga_work/production/wollongong_2006/project_slide.py
===================================================================
--- anuga_work/production/wollongong_2006/project_slide.py	(revision 4177)
+++ anuga_work/production/wollongong_2006/project_slide.py	(revision 4186)
@@ -121,7 +121,16 @@
 ###################################################################
 
-slide_origin_a = [352928.37,6188303.94]
-slide_origin_b = [393301.80,6253255.08]
-slide_origin_c = [446025.35,6330307.46]
+# historical slides
+slide_origin_bulli = [370110,6189489]
+slide_origin_shovel = [354753,6187397]
+slide_origin_yacaaba = [463012,6334735]
+
+# potential slides
+slide_origin_bulli_b = [405617,6249852]
+slide_origin_bulli_c = [465283,6335210]
+slide_origin_shovel_b = [396262,6252144]
+slide_origin_shovel_c = [458694,6340352]
+slide_origin_yacaaba_a = [361753,6188786]
+slide_origin_yacaaba_b = [401897,6250643]
 
 bulli_depth = 2087.0
Index: anuga_work/production/wollongong_2006/run_gong_slide.py
===================================================================
--- anuga_work/production/wollongong_2006/run_gong_slide.py	(revision 4177)
+++ anuga_work/production/wollongong_2006/run_gong_slide.py	(revision 4186)
@@ -152,6 +152,6 @@
                                slope=project_slide.yacaaba_slope,
                                thickness=project_slide.yacaaba_thickness, 
-                               x0=project_slide.slide_origin_a[0], 
-                               y0=project_slide.slide_origin_a[1], 
+                               x0=project_slide.slide_origin_yacaaba_a[0], 
+                               y0=project_slide.slide_origin_yacaaba_a[1], 
                                alpha=project_slide.yacaaba_alpha, 
                                domain=domain)