Index: /anuga_work/production/dampier_2006/build_dampier.py
===================================================================
--- /anuga_work/production/dampier_2006/build_dampier.py	(revision 4195)
+++ /anuga_work/production/dampier_2006/build_dampier.py	(revision 4196)
@@ -55,5 +55,4 @@
 # Fine pts file to be clipped to area of interest
 #-------------------------------------------------------------------------------
-print"project.poly_all",project.poly_all
 print"project.combined_dir_name",project.combined_dir_name
 
@@ -62,12 +61,12 @@
 coast_in_dir_name = project.coast_in_dir_name
 offshore_in_dir_name = project.offshore_in_dir_name
-offshore1_in_dir_name = project.offshore1_in_dir_name
-offshore2_in_dir_name = project.offshore2_in_dir_name
+#offshore1_in_dir_name = project.offshore1_in_dir_name
+#offshore2_in_dir_name = project.offshore2_in_dir_name
 
 onshore_dir_name = project.onshore_dir_name
 coast_dir_name = project.coast_dir_name
 offshore_dir_name = project.offshore_dir_name
-offshore1_dir_name = project.offshore1_dir_name
-offshore2_dir_name = project.offshore2_dir_name
+#offshore1_dir_name = project.offshore1_dir_name
+#offshore2_dir_name = project.offshore2_dir_name
 
 # creates DEM from asc data
@@ -76,4 +75,5 @@
                               basename_out=onshore_dir_name,
                               use_cache=True, verbose=True)
+'''
 convert_dem_from_ascii2netcdf(offshore1_in_dir_name,
                               basename_out=offshore1_dir_name,
@@ -82,9 +82,9 @@
                               basename_out=offshore2_dir_name,
                               use_cache=True, verbose=True)
-
+'''
 #creates pts file for onshore DEM
 print "creates pts file for onshore DEM"
 dem2pts(onshore_dir_name, use_cache=True, verbose=True)
-
+'''
 #creates pts file for clipped DEMs
 dem2pts(offshore1_dir_name,
@@ -94,5 +94,5 @@
         basename_out=offshore2_dir_name,
         use_cache=True, verbose=True)
-
+'''
 print'create Geospatial onshore objects from topographies'
 #print'create Geospatial coastal objects from topographies'
@@ -101,8 +101,6 @@
 #print'create Geospatial offshore objects from topographies'
 G = Geospatial_data(file_name = onshore_dir_name + '.pts') +\
-     Geospatial_data(file_name = coast_in_dir_name + '.xya') +\
-     Geospatial_data(file_name = offshore1_dir_name + '.pts') +\
-     Geospatial_data(file_name = offshore2_dir_name + '.pts') +\
-     Geospatial_data(file_name = offshore_in_dir_name + '.xya')
+     Geospatial_data(file_name = coast_in_dir_name + '.txt') +\
+     Geospatial_data(file_name = offshore_in_dir_name + '.txt')
 
 print'add all geospatial objects'
@@ -119,2 +117,11 @@
 G_clipped.export_points_file(project.combined_dir_name + '.pts')
 #G_clipped.export_points_file(project.combined_dir_name + '.txt')
+
+print'split combined data set'
+G_small, G_other = G_clipped.split(0.1, True)
+
+print'export split DEM file'
+G_small.export_points_file(project.combined_dir_name + '_small' + '.pts')
+G_other.export_points_file(project.combined_dir_name + '_other' + '.pts')
+
+
Index: /anuga_work/production/dampier_2006/project.py
===================================================================
--- /anuga_work/production/dampier_2006/project.py	(revision 4195)
+++ /anuga_work/production/dampier_2006/project.py	(revision 4196)
@@ -35,11 +35,11 @@
 
 # onshore data provided by WA DLI
-onshore_name = 'dli' # original
+onshore_name = 'DLI_DTED_raster_clipped' # original
 
 # AHO + DPI data + colin French coastline
-coast_name = 'coastline'
-offshore_name = 'bathymetry'
-offshore1_name = 'elev_501'
-offshore2_name = 'inferrec_e'
+coast_name = 'coastline_edited_w_DEM'
+offshore_name = 'clipped_bathy'
+#offshore1_name = 'elev_501'
+#offshore2_name = 'inferrec_e'
 
 #final topo name
@@ -55,12 +55,12 @@
 coast_in_dir_name = topographies_in_dir + coast_name
 offshore_in_dir_name = topographies_in_dir + offshore_name
-offshore1_in_dir_name = topographies_in_dir + offshore1_name
-offshore2_in_dir_name = topographies_in_dir + offshore2_name
+#offshore1_in_dir_name = topographies_in_dir + offshore1_name
+#offshore2_in_dir_name = topographies_in_dir + offshore2_name
 
 onshore_dir_name = topographies_dir + onshore_name
 coast_dir_name = topographies_dir + coast_name
 offshore_dir_name = topographies_dir + offshore_name
-offshore1_dir_name = topographies_dir + offshore1_name
-offshore2_dir_name = topographies_dir + offshore2_name
+#offshore1_dir_name = topographies_dir + offshore1_name
+#offshore2_dir_name = topographies_dir + offshore2_name
 
 #final topo files
@@ -77,7 +77,7 @@
 
 boundaries_source = ''
-boundaries_name = 'o_velocity'
+boundaries_name = 'o'
 #boundaries locations
-boundaries_in_dir = home+sep+state+sep+scenario+sep+'anuga'+sep+'boundaries'+sep+'urs'+sep+boundaries_source+sep
+boundaries_in_dir = home+sep+state+sep+scenario+sep+'anuga'+sep+'boundaries'+sep+'urs'+sep+'1_10000'+sep
 boundaries_in_dir_name = boundaries_in_dir + boundaries_name
 boundaries_dir = home+sep+state+sep+scenario+sep+'anuga'+sep+'boundaries'+sep
@@ -230,5 +230,5 @@
 ###################################################################
 
-poly_bathy = read_polygon(polygons_dir+'poly_bathy.csv')
+poly_bathy = read_polygon(polygons_dir+'mainland_only.csv')
 
 # exporting asc grid - Dampier
Index: /anuga_work/production/dampier_2006/run_dampier.py
===================================================================
--- /anuga_work/production/dampier_2006/run_dampier.py	(revision 4195)
+++ /anuga_work/production/dampier_2006/run_dampier.py	(revision 4196)
@@ -67,5 +67,5 @@
 # resolutions (maximal area of per triangle) for each polygon
 #--------------------------------------------------------------------------
-
+'''
 poly = [[0,0],[0,100],[100,100],[100,0]]
 
@@ -80,5 +80,5 @@
 
 sys.exit()
-
+'''
 if myid == 0:
     
@@ -102,18 +102,17 @@
 domain = Domain(meshes_dir_name, use_cache=True, verbose=True)
 print domain.statistics()
-
+boundaries_dir_name=project.boundaries_dir_name
 
 print 'starting to create boundary conditions'
-boundaries_in_dir_name = project.boundaries_in_dir_name
-
-from anuga.shallow_water.data_manager import urs2sw
+
+from anuga.shallow_water.data_manager import urs2sww
 
 # put above distribute
-print 'boundary file is: ',boundaries_dir_name
+print 'boundary file is: ',project.boundaries_dir_name
 from caching import cache
 if myid == 0:
     cache(urs2sww,
-          (boundaries_in_dir_name,
-           boundaries_dir_name), 
+          (project.boundaries_in_dir_name,
+           project.boundaries_dir_name), 
           {'verbose': True,
            'minlat': project.south_boundary,
@@ -140,5 +139,5 @@
     from polygon import *
     #following sets the stage/water to be offcoast only
-    IC = Polygon_function( [(project.poly_bathy, tide)], default = 0.)
+    IC = Polygon_function( [(project.poly_bathy, 0.)], default = tide)
     domain.set_quantity('stage', IC)
     domain.set_quantity('friction', 0.01) 
@@ -202,5 +201,5 @@
 t0 = time.time()
 
-for t in domain.evolve(yieldstep = 60, finaltime = 34000):
+for t in domain.evolve(yieldstep = 120, finaltime = 34000):
     domain.write_time()
     domain.write_boundary_statistics(tags = 'ocean')