Index: anuga_work/production/dampier_2006/get_timeseries.py
===================================================================
--- anuga_work/production/dampier_2006/get_timeseries.py	(revision 4222)
+++ anuga_work/production/dampier_2006/get_timeseries.py	(revision 4222)
@@ -0,0 +1,83 @@
+"""
+Generate images of "gauges" for production run
+
+Inputs:
+
+production dirs: dictionary of production directories with a
+                 association to that simulation run, eg high tide,
+                 low tide and MSL.
+                    
+Outputs:
+
+* figures used for report stored in the report_figure directory
+
+"""
+from os import getcwd, sep, altsep, mkdir, access, F_OK
+import project
+from anuga.abstract_2d_finite_volumes.util import sww2timeseries
+
+# Create report directory
+reportdir = getcwd()+sep+'report'+sep
+if access(reportdir,F_OK) == 0:
+    mkdir (reportdir)
+    
+# sww file created from URS boundary
+production_dirs = {'20070129_063817_run': '10000 yr wave height',
+                   'boundaries': 'URS boundary condition'}
+
+is_parallel = True
+if is_parallel == True:
+    nodes = 8
+    
+# Generate figures
+swwfiles = {}
+
+if is_parallel == True:
+
+    for i in range(nodes):
+        print 'Sending node %d of %d' %(i,nodes)
+        swwfiles = {}
+        #reportname = report_name + '_%s' %(i)
+        for label_id in production_dirs.keys():
+            if label_id == 'boundaries':
+                file_loc = project.boundaries_in_dir
+                swwfile = file_loc + sep + 'o.sww'
+            else:
+                file_loc = project.output_dir + label_id + sep
+                sww_extra = '_P%s_%s' %(i,nodes)
+                swwfile = file_loc + project.scenario_name + sww_extra + '.sww'
+            swwfiles[swwfile] = label_id
+
+            texname, elev_output = sww2timeseries(swwfiles,
+                                                  project.gauges_dir_name,
+                                                  production_dirs,
+                                                  report = False,
+                                                  #reportname = reportname,
+                                                  plot_quantity = ['stage', 'momentum'],
+                                                  surface = False,
+                                                  time_min = None,
+                                                  time_max = None,
+                                                  title_on = False,
+                                                  verbose = True)
+            
+            #latex_output.append(texname)
+    
+else:
+    
+    for label_id in production_dirs.keys():
+
+        file_loc = project.output_dir + label_id + sep
+        swwfile = file_loc + project.scenario_name + '.sww'
+        swwfiles[swwfile] = label_id
+        
+    texname, elev_output = sww2timeseries(swwfiles,
+                                          project.gauges_dir_name,
+                                          production_dirs,
+                                          report = False,
+                                          #reportname = report_name,
+                                          plot_quantity = ['stage', 'momentum'],
+                                          surface = False,
+                                          time_min = None,
+                                          time_max = None,
+                                          title_on = False,
+                                          verbose = True)
Index: anuga_work/production/dampier_2006/project.py
===================================================================
--- anuga_work/production/dampier_2006/project.py	(revision 4219)
+++ anuga_work/production/dampier_2006/project.py	(revision 4222)
@@ -79,5 +79,6 @@
 boundaries_name = 'o'
 #boundaries locations
-boundaries_in_dir = home+sep+state+sep+scenario+sep+'anuga'+sep+'boundaries'+sep+'urs'+sep+'1_10000'+sep
+boundaries_in_dir = home+sep+state+sep+scenario+sep+'anuga'+sep+'boundaries'
+#boundaries_in_dir = home+sep+state+sep+scenario+sep+'anuga'+sep+'boundaries'+sep+'urs'+sep+'1_10000'+sep
 boundaries_in_dir_name = boundaries_in_dir + boundaries_name
 boundaries_dir = home+sep+state+sep+scenario+sep+'anuga'+sep+'boundaries'+sep
@@ -93,8 +94,7 @@
 
 #gauges
-gauge_name = 'dampier.csv'
+gauge_name = 'dampier_gauges_up2.csv' #'dampier.csv'
 gauges_dir = home+sep+state+sep+scenario+sep+'anuga'+sep+'gauges'+sep
 gauges_dir_name = gauges_dir + gauge_name
-
 
 ###############################