Index: /anuga_work/production/broome_2006/project.py
===================================================================
--- /anuga_work/production/broome_2006/project.py	(revision 4227)
+++ /anuga_work/production/broome_2006/project.py	(revision 4228)
@@ -131,5 +131,6 @@
 community_broome = gauges_dir + 'community_broome.csv'
 
-
+#buildings_filename = gauges_dir + 'broome_res_nexis.csv'
+buildings_filename_damage_out = 'broome_res_nexis_modified.csv'
 
 ###############################
Index: /anuga_work/production/broome_2006/run_building_inundation.py
===================================================================
--- /anuga_work/production/broome_2006/run_building_inundation.py	(revision 4228)
+++ /anuga_work/production/broome_2006/run_building_inundation.py	(revision 4228)
@@ -0,0 +1,38 @@
+""" Script for calculating maximum inundation at building locations
+
+    Inputs:
+
+    swwfile             - name of sww file
+                        - assume that all conserved quantities have been stored
+                    
+    buildings_filename  - name of file containing building data, sourced
+                          from NBED
+
+    Output:
+    
+    - building_filename (.csv) augmented to include maximum depth, momentum and
+      velocity and stored in same location as swwfile
+      Name = augmented_buildings.csv
+      
+    """
+
+from os import sep
+
+from damage.inundation_damage import add_depth_and_momentum2csv
+import project
+
+# Inputs
+#timestampdir = '20060704_063005' # HAT
+#timestampdir = '20060704_063112' # LAT
+#timestampdir = '20060704_063234' # MSL
+timestampdir = '20060515_001733' # DTED MSL
+file_loc = project.outputdir + timestampdir + sep 
+swwfile = file_loc + project.basename + '.sww'
+buildings_filename = project.buildings_filename
+buildings_filename_out = file_loc + project.buildings_filename_out
+
+add_depth_and_momentum2csv(swwfile, buildings_filename, buildings_filename_out)
+
+
+print '\n Augmented building file written to %s \n' \
+      %buildings_filename_out
Index: /anuga_work/production/busselton_2006/project.py
===================================================================
--- /anuga_work/production/busselton_2006/project.py	(revision 4227)
+++ /anuga_work/production/busselton_2006/project.py	(revision 4228)
@@ -96,4 +96,6 @@
 gauges_dir_name = gauges_dir + gauge_name
 
+#buildings_filename = gauges_dir + 'busselton_res_nexis.csv'
+buildings_filename_damage_out = 'busselton_res_nexis_modified.csv'
 
 ###############################
Index: /anuga_work/production/busselton_2006/run_building_inundation.py
===================================================================
--- /anuga_work/production/busselton_2006/run_building_inundation.py	(revision 4228)
+++ /anuga_work/production/busselton_2006/run_building_inundation.py	(revision 4228)
@@ -0,0 +1,38 @@
+""" Script for calculating maximum inundation at building locations
+
+    Inputs:
+
+    swwfile             - name of sww file
+                        - assume that all conserved quantities have been stored
+                    
+    buildings_filename  - name of file containing building data, sourced
+                          from NBED
+
+    Output:
+    
+    - building_filename (.csv) augmented to include maximum depth, momentum and
+      velocity and stored in same location as swwfile
+      Name = augmented_buildings.csv
+      
+    """
+
+from os import sep
+
+from damage.inundation_damage import add_depth_and_momentum2csv
+import project
+
+# Inputs
+#timestampdir = '20060704_063005' # HAT
+#timestampdir = '20060704_063112' # LAT
+#timestampdir = '20060704_063234' # MSL
+timestampdir = '20060515_001733' # DTED MSL
+file_loc = project.outputdir + timestampdir + sep 
+swwfile = file_loc + project.basename + '.sww'
+buildings_filename = project.buildings_filename
+buildings_filename_out = file_loc + project.buildings_filename_out
+
+add_depth_and_momentum2csv(swwfile, buildings_filename, buildings_filename_out)
+
+
+print '\n Augmented building file written to %s \n' \
+      %buildings_filename_out
Index: /anuga_work/production/dampier_2006/make_report.py
===================================================================
--- /anuga_work/production/dampier_2006/make_report.py	(revision 4227)
+++ /anuga_work/production/dampier_2006/make_report.py	(revision 4228)
@@ -119,4 +119,5 @@
                                                       reportname = reportname,
                                                       plot_quantity = ['stage', 'momentum'],
+                                                      generate_fig = True,
                                                       surface = False,
                                                       time_min = None,
@@ -146,4 +147,5 @@
                                               reportname = reportname,
                                               plot_quantity = ['stage', 'momentum'],
+                                              generate_fig = True,
                                               surface = False,
                                               time_min = None,
Index: /anuga_work/production/dampier_2006/make_report_cipma.py
===================================================================
--- /anuga_work/production/dampier_2006/make_report_cipma.py	(revision 4227)
+++ /anuga_work/production/dampier_2006/make_report_cipma.py	(revision 4228)
@@ -111,4 +111,5 @@
                                                   reportname = reportname,
                                                   plot_quantity = ['stage', 'momentum'],
+                                                  generate_fig = True,
                                                   surface = False,
                                                   time_min = None,
@@ -133,4 +134,5 @@
                                           reportname = report_name,
                                           plot_quantity = ['stage', 'momentum'],
+                                          generate_fig = True,
                                           surface = False,
                                           time_min = None,
Index: /anuga_work/production/dampier_2006/project.py
===================================================================
--- /anuga_work/production/dampier_2006/project.py	(revision 4227)
+++ /anuga_work/production/dampier_2006/project.py	(revision 4228)
@@ -6,5 +6,5 @@
 import sys
 from time import localtime, strftime, gmtime
-from anuga.utilities.polygon import read_polygon, plot_polygons, polygon_area, is_inside_polygon, number_mesh_triangles
+from anuga.utilities.polygon import read_polygon, plot_polygons, polygon_area, is_inside_polygon # number_mesh_triangles
 from anuga.coordinate_transforms.redfearn import degminsec2decimal_degrees, convert_from_latlon_to_utm
 from anuga.utilities.system_tools import get_user_name
@@ -98,4 +98,6 @@
 gauges_dir_name = gauges_dir + gauge_name
 
+#buildings_filename = gauges_dir + 'dampier_res_nexis.csv'
+buildings_filename_damage_out = 'dampier_res_nexis_modified.csv'
 ###############################
 # Domain definitions
@@ -222,7 +224,7 @@
                     [poly_ref_nw7,res_ref_nw7],[poly_ref_nw8,res_ref_nw8]]
                     
-trigs_min = number_mesh_triangles(interior_regions, poly_all, res_poly_all)
-
-print 'min number triangles', trigs_min
+#trigs_min = number_mesh_triangles(interior_regions, poly_all, res_poly_all)
+#
+#print 'min number triangles', trigs_min
 
 ###################################################################
Index: /anuga_work/production/dampier_2006/run_building_inundation.py
===================================================================
--- /anuga_work/production/dampier_2006/run_building_inundation.py	(revision 4228)
+++ /anuga_work/production/dampier_2006/run_building_inundation.py	(revision 4228)
@@ -0,0 +1,38 @@
+""" Script for calculating maximum inundation at building locations
+
+    Inputs:
+
+    swwfile             - name of sww file
+                        - assume that all conserved quantities have been stored
+                    
+    buildings_filename  - name of file containing building data, sourced
+                          from NBED
+
+    Output:
+    
+    - building_filename (.csv) augmented to include maximum depth, momentum and
+      velocity and stored in same location as swwfile
+      Name = augmented_buildings.csv
+      
+    """
+
+from os import sep
+
+from damage.inundation_damage import add_depth_and_momentum2csv
+import project
+
+# Inputs
+#timestampdir = '20060704_063005' # HAT
+#timestampdir = '20060704_063112' # LAT
+#timestampdir = '20060704_063234' # MSL
+timestampdir = '20060515_001733' # DTED MSL
+file_loc = project.outputdir + timestampdir + sep 
+swwfile = file_loc + project.basename + '.sww'
+buildings_filename = project.buildings_filename
+buildings_filename_out = file_loc + project.buildings_filename_out
+
+add_depth_and_momentum2csv(swwfile, buildings_filename, buildings_filename_out)
+
+
+print '\n Augmented building file written to %s \n' \
+      %buildings_filename_out
Index: /anuga_work/production/exmouth_2006/project.py
===================================================================
--- /anuga_work/production/exmouth_2006/project.py	(revision 4227)
+++ /anuga_work/production/exmouth_2006/project.py	(revision 4228)
@@ -109,4 +109,7 @@
 combined_dem_name   = datadir + 'exmouth_combined_elevation'
 
+#buildings_filename = gauges_dir + 'exmouth_res_nexis.csv'
+buildings_filename_damage_out = 'exmouth_res_nexis_modified.csv'
+
 ###############################
 # Domain definitions
Index: /anuga_work/production/exmouth_2006/run_building_inundation.py
===================================================================
--- /anuga_work/production/exmouth_2006/run_building_inundation.py	(revision 4228)
+++ /anuga_work/production/exmouth_2006/run_building_inundation.py	(revision 4228)
@@ -0,0 +1,38 @@
+""" Script for calculating maximum inundation at building locations
+
+    Inputs:
+
+    swwfile             - name of sww file
+                        - assume that all conserved quantities have been stored
+                    
+    buildings_filename  - name of file containing building data, sourced
+                          from NBED
+
+    Output:
+    
+    - building_filename (.csv) augmented to include maximum depth, momentum and
+      velocity and stored in same location as swwfile
+      Name = augmented_buildings.csv
+      
+    """
+
+from os import sep
+
+from damage.inundation_damage import add_depth_and_momentum2csv
+import project
+
+# Inputs
+#timestampdir = '20060704_063005' # HAT
+#timestampdir = '20060704_063112' # LAT
+#timestampdir = '20060704_063234' # MSL
+timestampdir = '20060515_001733' # DTED MSL
+file_loc = project.outputdir + timestampdir + sep 
+swwfile = file_loc + project.basename + '.sww'
+buildings_filename = project.buildings_filename
+buildings_filename_out = file_loc + project.buildings_filename_out
+
+add_depth_and_momentum2csv(swwfile, buildings_filename, buildings_filename_out)
+
+
+print '\n Augmented building file written to %s \n' \
+      %buildings_filename_out
Index: /anuga_work/production/hobart_2006/get_timeseries.py
===================================================================
--- /anuga_work/production/hobart_2006/get_timeseries.py	(revision 4227)
+++ /anuga_work/production/hobart_2006/get_timeseries.py	(revision 4228)
@@ -42,4 +42,5 @@
                                       reportname = '',
                                       plot_quantity = ['stage', 'speed'],
+                                      generate_fig = True,
                                       surface = False,
                                       time_min = None,
Index: /anuga_work/production/hobart_2006/make_report.py
===================================================================
--- /anuga_work/production/hobart_2006/make_report.py	(revision 4227)
+++ /anuga_work/production/hobart_2006/make_report.py	(revision 4228)
@@ -99,4 +99,5 @@
                                       #reportname = 'latexoutput',
                                       plot_quantity = ['stage', 'speed'],
+                                      generate_fig = True,
                                       #surface = True,
                                       time_min = None,
Index: /anuga_work/production/hobart_2006/make_report_boundary_BOM.py
===================================================================
--- /anuga_work/production/hobart_2006/make_report_boundary_BOM.py	(revision 4227)
+++ /anuga_work/production/hobart_2006/make_report_boundary_BOM.py	(revision 4228)
@@ -72,4 +72,5 @@
                                       reportname = 'latexoutput_boundary',
                                       plot_quantity = ['stage', 'speed'],
+                                      generate_fig = True,
                                       surface = False,
                                       time_min = None,
Index: /anuga_work/production/onslow_2006/report/anuga_setup.tex
===================================================================
--- /anuga_work/production/onslow_2006/report/anuga_setup.tex	(revision 4227)
+++ /anuga_work/production/onslow_2006/report/anuga_setup.tex	(revision 4228)
@@ -85,7 +85,11 @@
 of waves with different amplitudes which is affected by the energy
 and style of the event as well as the bathymetry whilst it travels
-from its source to Dampier. The amplitude and velocity of each of these
+from its source to Onslow. The amplitude and velocity of each of these
 waves are then provided to ANUGA as boundary conditions and propagated
 inshore.
+
+The tsunami generation and propagation modelling uses the URS paradigm.
+The URS output is saved every 2.5 seconds and with a spatial resolution
+of two arc minutes.
 
 Sea floor friction will generally provide resistance to the water flow
Index: /anuga_work/production/onslow_2006/report/latexoutput.tex
===================================================================
--- /anuga_work/production/onslow_2006/report/latexoutput.tex	(revision 4227)
+++ /anuga_work/production/onslow_2006/report/latexoutput.tex	(revision 4228)
@@ -3,7 +3,7 @@
  \begin{tabular}{cc} 
 \includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeBeadonPointLoadingBerthstage.png}& 
-\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeBeadonPointLoadingBerthspeed.png}\\ 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeBeadonPointLoadingBerthmomentum.png}\\ 
 \end{tabular} 
- \caption{Time series for stage and speed at Beadon Point Loading Berth location (elevation -8.70m)} 
+ \caption{Time series for stage and momentum at Beadon Point Loading Berth location (elevation -8.70m)} 
  \label{fig:gaugeBeadonPointLoadingBerth} 
  \end{figure} 
@@ -13,7 +13,7 @@
  \begin{tabular}{cc} 
 \includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeHospitalstage.png}& 
-\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeHospitalspeed.png}\\ 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeHospitalmomentum.png}\\ 
 \end{tabular} 
- \caption{Time series for depth and speed at Hospital location (elevation 6.02m)} 
+ \caption{Time series for depth and momentum at Hospital location (elevation 6.02m)} 
  \label{fig:gaugeHospital} 
  \end{figure} 
@@ -23,7 +23,7 @@
  \begin{tabular}{cc} 
 \includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeBindiBindiCommunitystage.png}& 
-\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeBindiBindiCommunityspeed.png}\\ 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeBindiBindiCommunitymomentum.png}\\ 
 \end{tabular} 
- \caption{Time series for depth and speed at Bindi Bindi Community location (elevation 4.08m)} 
+ \caption{Time series for depth and momentum at Bindi Bindi Community location (elevation 4.08m)} 
  \label{fig:gaugeBindiBindiCommunity} 
  \end{figure} 
@@ -33,7 +33,7 @@
  \begin{tabular}{cc} 
 \includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugePowerStationstage.png}& 
-\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugePowerStationspeed.png}\\ 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugePowerStationmomentum.png}\\ 
 \end{tabular} 
- \caption{Time series for depth and speed at Power Station location (elevation 5.81m)} 
+ \caption{Time series for depth and momentum at Power Station location (elevation 5.81m)} 
  \label{fig:gaugePowerStation} 
  \end{figure} 
@@ -43,7 +43,7 @@
  \begin{tabular}{cc} 
 \includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeAirportRunwaystage.png}& 
-\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeAirportRunwayspeed.png}\\ 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeAirportRunwaymomentum.png}\\ 
 \end{tabular} 
- \caption{Time series for depth and speed at Airport Runway location (elevation 5.49m)} 
+ \caption{Time series for depth and momentum at Airport Runway location (elevation 5.49m)} 
  \label{fig:gaugeAirportRunway} 
  \end{figure} 
@@ -53,7 +53,7 @@
  \begin{tabular}{cc} 
 \includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeBeadonCreekDocksstage.png}& 
-\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeBeadonCreekDocksspeed.png}\\ 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeBeadonCreekDocksmomentum.png}\\ 
 \end{tabular} 
- \caption{Time series for depth and speed at Beadon Creek Docks location (elevation 1.65m)} 
+ \caption{Time series for depth and momentum at Beadon Creek Docks location (elevation 1.65m)} 
  \label{fig:gaugeBeadonCreekDocks} 
  \end{figure} 
@@ -63,7 +63,7 @@
  \begin{tabular}{cc} 
 \includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeWestofGroynestage.png}& 
-\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeWestofGroynespeed.png}\\ 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeWestofGroynemomentum.png}\\ 
 \end{tabular} 
- \caption{Time series for stage and speed at West of Groyne location (elevation -2.11m)} 
+ \caption{Time series for stage and momentum at West of Groyne location (elevation -2.11m)} 
  \label{fig:gaugeWestofGroyne} 
  \end{figure} 
@@ -73,7 +73,7 @@
  \begin{tabular}{cc} 
 \includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeBeadonCreekmouthstage.png}& 
-\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeBeadonCreekmouthspeed.png}\\ 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeBeadonCreekmouthmomentum.png}\\ 
 \end{tabular} 
- \caption{Time series for stage and speed at Beadon Creek mouth location (elevation -2.90m)} 
+ \caption{Time series for stage and momentum at Beadon Creek mouth location (elevation -2.90m)} 
  \label{fig:gaugeBeadonCreekmouth} 
  \end{figure} 
@@ -83,7 +83,7 @@
  \begin{tabular}{cc} 
 \includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeBeadonCreeksouthofdockstage.png}& 
-\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeBeadonCreeksouthofdockspeed.png}\\ 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeBeadonCreeksouthofdockmomentum.png}\\ 
 \end{tabular} 
- \caption{Time series for stage and speed at Beadon Creek south of dock location (elevation -1.81m)} 
+ \caption{Time series for stage and momentum at Beadon Creek south of dock location (elevation -1.81m)} 
  \label{fig:gaugeBeadonCreeksouthofdock} 
  \end{figure} 
@@ -93,7 +93,7 @@
  \begin{tabular}{cc} 
 \includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeCentredamwallstage.png}& 
-\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeCentredamwallspeed.png}\\ 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeCentredamwallmomentum.png}\\ 
 \end{tabular} 
- \caption{Time series for depth and speed at Centre dam wall location (elevation 2.09m)} 
+ \caption{Time series for depth and momentum at Centre dam wall location (elevation 2.09m)} 
  \label{fig:gaugeCentredamwall} 
  \end{figure} 
@@ -103,7 +103,7 @@
  \begin{tabular}{cc} 
 \includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeDamoverflowstage.png}& 
-\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeDamoverflowspeed.png}\\ 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeDamoverflowmomentum.png}\\ 
 \end{tabular} 
- \caption{Time series for depth and speed at Dam overflow location (elevation 0.88m)} 
+ \caption{Time series for depth and momentum at Dam overflow location (elevation 0.88m)} 
  \label{fig:gaugeDamoverflow} 
  \end{figure} 
@@ -114,7 +114,7 @@
  \begin{tabular}{cc} 
 \includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeLightTowerstage.png}& 
-\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeLightTowerspeed.png}\\ 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeLightTowermomentum.png}\\ 
 \end{tabular} 
- \caption{Time series for depth and speed at Light Tower location (elevation 3.86m)} 
+ \caption{Time series for depth and momentum at Light Tower location (elevation 3.86m)} 
  \label{fig:gaugeLightTower} 
  \end{figure} 
@@ -124,7 +124,7 @@
  \begin{tabular}{cc} 
 \includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeBeadonBayweststage.png}& 
-\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeBeadonBaywestspeed.png}\\ 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeBeadonBaywestmomentum.png}\\ 
 \end{tabular} 
- \caption{Time series for stage and speed at Beadon Bay west location (elevation -4.62m)} 
+ \caption{Time series for stage and momentum at Beadon Bay west location (elevation -4.62m)} 
  \label{fig:gaugeBeadonBaywest} 
  \end{figure} 
@@ -134,7 +134,7 @@
  \begin{tabular}{cc} 
 \includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeBeadonBayeaststage.png}& 
-\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeBeadonBayeastspeed.png}\\ 
+\includegraphics[width=0.49\linewidth, height=50mm]{../report_figures/gaugeBeadonBayeastmomentum.png}\\ 
 \end{tabular} 
- \caption{Time series for stage and speed at Beadon Bay east location (elevation -3.56m)} 
+ \caption{Time series for stage and momentum at Beadon Bay east location (elevation -3.56m)} 
  \label{fig:gaugeBeadonBayeast} 
  \end{figure} 
Index: /anuga_work/production/onslow_2006/report/onslow_2006_report.tex
===================================================================
--- /anuga_work/production/onslow_2006/report/onslow_2006_report.tex	(revision 4227)
+++ /anuga_work/production/onslow_2006/report/onslow_2006_report.tex	(revision 4228)
@@ -28,4 +28,5 @@
 \usepackage{setspace}
 \usepackage{rotating}
+\usepackage{pdfpages}
 \include{appendix}
 \setstretch{1.25}
@@ -77,4 +78,17 @@
          
 \input{interpretation} 
+\subsection{Return Period: 1000 years} 
+ 
+\input{HAT_map} 
+ \clearpage 
+ 
+\input{MSL_map} 
+ \clearpage 
+ 
+\input{LAT_map} 
+ \clearpage 
+ 
+\subsection{Return Period: 1000000 years} 
+ 
 \input{HAT_map} 
  \clearpage 
@@ -154,5 +168,10 @@
      \input{timeseriesdiscussion}
      \clearpage
-\input{latexoutput} 
+\subsection{Return Period: 1000 years} 
+\input{latexoutputrp0} 
+ \clearpage 
+ 
+\subsection{Return Period: 1000000 years} 
+\input{latexoutputrp1} 
  \clearpage 
  
Index: /anuga_work/production/perth_2006/project.py
===================================================================
--- /anuga_work/production/perth_2006/project.py	(revision 4227)
+++ /anuga_work/production/perth_2006/project.py	(revision 4228)
@@ -112,4 +112,6 @@
 gauges_dir_name = gauges_dir + gauge_name
 
+#buildings_filename = gauges_dir + 'perth_res_nexis.csv'
+buildings_filename_damage_out = 'perth_res_nexis_modified.csv'
 
 ###############################
Index: /anuga_work/production/perth_2006/run_building_inundation.py
===================================================================
--- /anuga_work/production/perth_2006/run_building_inundation.py	(revision 4228)
+++ /anuga_work/production/perth_2006/run_building_inundation.py	(revision 4228)
@@ -0,0 +1,38 @@
+""" Script for calculating maximum inundation at building locations
+
+    Inputs:
+
+    swwfile             - name of sww file
+                        - assume that all conserved quantities have been stored
+                    
+    buildings_filename  - name of file containing building data, sourced
+                          from NBED
+
+    Output:
+    
+    - building_filename (.csv) augmented to include maximum depth, momentum and
+      velocity and stored in same location as swwfile
+      Name = augmented_buildings.csv
+      
+    """
+
+from os import sep
+
+from damage.inundation_damage import add_depth_and_momentum2csv
+import project
+
+# Inputs
+#timestampdir = '20060704_063005' # HAT
+#timestampdir = '20060704_063112' # LAT
+#timestampdir = '20060704_063234' # MSL
+timestampdir = '20060515_001733' # DTED MSL
+file_loc = project.outputdir + timestampdir + sep 
+swwfile = file_loc + project.basename + '.sww'
+buildings_filename = project.buildings_filename
+buildings_filename_out = file_loc + project.buildings_filename_out
+
+add_depth_and_momentum2csv(swwfile, buildings_filename, buildings_filename_out)
+
+
+print '\n Augmented building file written to %s \n' \
+      %buildings_filename_out
Index: /anuga_work/production/pt_hedland_2006/compare_timeseries.py
===================================================================
--- /anuga_work/production/pt_hedland_2006/compare_timeseries.py	(revision 4227)
+++ /anuga_work/production/pt_hedland_2006/compare_timeseries.py	(revision 4228)
@@ -44,4 +44,5 @@
                               reportname = 'latexoutput_compare_pt_hedland',
                               plot_quantity = plot_quantity,
+                              generate_fig = True,
                               time_min = None,
                               time_max = None,
Index: /anuga_work/production/pt_hedland_2006/make_report.py
===================================================================
--- /anuga_work/production/pt_hedland_2006/make_report.py	(revision 4227)
+++ /anuga_work/production/pt_hedland_2006/make_report.py	(revision 4228)
@@ -113,4 +113,5 @@
                                                       reportname = reportname,
                                                       plot_quantity = ['stage', 'momentum'],
+                                                      generate_fig = True,
                                                       surface = False,
                                                       time_min = None,
@@ -141,4 +142,5 @@
                                               reportname = reportname,
                                               plot_quantity = ['stage', 'speed'],
+                                              generate_fig = True,
                                               surface = False,
                                               time_min = None,
Index: /anuga_work/production/pt_hedland_2006/report/anuga_setup.tex
===================================================================
--- /anuga_work/production/pt_hedland_2006/report/anuga_setup.tex	(revision 4227)
+++ /anuga_work/production/pt_hedland_2006/report/anuga_setup.tex	(revision 4228)
@@ -88,4 +88,8 @@
 inshore.
 
+The tsunami generation and propagation modelling uses the URS paradigm.
+The URS output is saved every 2.5 seconds and with a spatial resolution
+of two arc minutes.
+
 Sea floor friction will generally provide resistance to the water flow
 and thus reduce the impact somewhat. Initial experimental results 
Index: /anuga_work/production/pt_hedland_2006/run_building_inundation.py
===================================================================
--- /anuga_work/production/pt_hedland_2006/run_building_inundation.py	(revision 4228)
+++ /anuga_work/production/pt_hedland_2006/run_building_inundation.py	(revision 4228)
@@ -0,0 +1,38 @@
+""" Script for calculating maximum inundation at building locations
+
+    Inputs:
+
+    swwfile             - name of sww file
+                        - assume that all conserved quantities have been stored
+                    
+    buildings_filename  - name of file containing building data, sourced
+                          from NBED
+
+    Output:
+    
+    - building_filename (.csv) augmented to include maximum depth, momentum and
+      velocity and stored in same location as swwfile
+      Name = augmented_buildings.csv
+      
+    """
+
+from os import sep
+
+from damage.inundation_damage import add_depth_and_momentum2csv
+import project
+
+# Inputs
+#timestampdir = '20060704_063005' # HAT
+#timestampdir = '20060704_063112' # LAT
+#timestampdir = '20060704_063234' # MSL
+timestampdir = '20060515_001733' # DTED MSL
+file_loc = project.outputdir + timestampdir + sep 
+swwfile = file_loc + project.basename + '.sww'
+buildings_filename = project.buildings_filename
+buildings_filename_out = file_loc + project.buildings_filename_out
+
+add_depth_and_momentum2csv(swwfile, buildings_filename, buildings_filename_out)
+
+
+print '\n Augmented building file written to %s \n' \
+      %buildings_filename_out