Index: /anuga_work/production/dampier_2006/build_dampier.py
===================================================================
--- /anuga_work/production/dampier_2006/build_dampier.py	(revision 4245)
+++ /anuga_work/production/dampier_2006/build_dampier.py	(revision 4246)
@@ -127,9 +127,43 @@
 G_small.export_points_file(project.combined_dir_name + '_small' + '.pts')
 G_other.export_points_file(project.combined_dir_name + '_other' + '.pts')
-'''
+
 print 'start reading:',project.combined_dir_name + '.pts'
 G = Geospatial_data(file_name = project.combined_dir_name + '.pts')
 print 'start export',project.combined_dir_name + '.txt'
 G.export_points_file(project.combined_dir_name + '.txt')
+'''
+#-------------------------------------------------------------------------
+# Convert URS to SWW file for boundary conditions 
+#-------------------------------------------------------------------------
+print 'starting to create boundary conditions'
+boundaries_in_dir_name = project.boundaries_in_dir_name
+
+from anuga.shallow_water.data_manager import urs2sww
+
+print 'minlat=project.north_boundary, maxlat=project.south_boundary',project.north_boundary, project.south_boundary
+print 'minlon= project.west_boundary, maxlon=project.east_boundary',project.west_boundary, project.east_boundary
+
+#import sys; sys.exit()
+
+#if access(project.boundaries_dir,F_OK) == 0:
+#    mkdir (project.boundaries_dir)
+
+from caching import cache
+cache(urs2sww,
+      (boundaries_in_dir_name,
+       project.boundaries_dir_name1), 
+      {'verbose': True,
+       'minlat': project.south_boundary,
+       'maxlat': project.north_boundary,
+       'minlon': project.west_boundary,
+       'maxlon': project.east_boundary,
+       'mint': 0, 'maxt': 40000,
+#       'origin': domain.geo_reference.get_origin(),
+       'mean_stage': project.tide,
+       'zscale': 1,                 #Enhance tsunami
+       'fail_on_NaN': False},
+       verbose = True,
+       )
+#       dependencies = source_dir + project.boundary_basename + '.sww')
 
 
Index: /anuga_work/production/dampier_2006/project.py
===================================================================
--- /anuga_work/production/dampier_2006/project.py	(revision 4245)
+++ /anuga_work/production/dampier_2006/project.py	(revision 4246)
@@ -78,4 +78,6 @@
 boundaries_source = ''
 boundaries_name = 'o'
+boundaries_name1 = 'o_new'
+
 #boundaries locations
 boundaries_in_dir = home+sep+state+sep+scenario+sep+'anuga'+sep+'boundaries'
@@ -84,4 +86,5 @@
 boundaries_dir = home+sep+state+sep+scenario+sep+'anuga'+sep+'boundaries'+sep
 boundaries_dir_name = boundaries_dir + boundaries_name
+boundaries_dir_name1 = boundaries_dir + boundaries_name1
 #boundaries_time_dir = home+sep+state+sep+scenario+sep+'anuga'+sep+'boundaries'+sep+build_time+sep
 #boundaries_time_dir_name = boundaries_time_dir + boundaries_name  #Used by post processing
@@ -125,6 +128,6 @@
 print 'Area of bounding polygon', polygon_area(poly_all)/1000000.0
 
-#res_poly_all = 100000
-res_poly_all = 500000
+res_poly_all = 100000
+#res_poly_all = 500000
 
 ###############################
@@ -136,6 +139,6 @@
 
 poly_dampier = read_polygon(polygons_dir+'dampier_town.csv')
-#res_dampier = 500
-res_dampier = 5000
+res_dampier = 500
+#res_dampier = 5000
 
 poly_karratha = read_polygon(polygons_dir+'karrathav2.csv')
@@ -143,6 +146,6 @@
 
 poly_karratha_town = read_polygon(polygons_dir+'karratha_townv2.csv')
-#res_karratha_town = 500
-res_karratha_town = 5000
+res_karratha_town = 500
+#res_karratha_town = 5000
 
 poly_facility = read_polygon(polygons_dir+'facility.csv')
@@ -153,6 +156,6 @@
 
 poly_coast = read_polygon(polygons_dir+'coastpoly.csv')
-#res_coast = 1000
-res_coast = 10000
+res_coast = 1000
+#res_coast = 10000
 
 poly_NWislands = read_polygon(polygons_dir+'nw_islands_area.csv')
@@ -171,6 +174,6 @@
 res_island0 = res_poly_all
 
-#res_islands = 5000
-res_islands = 15000
+res_islands = 5000
+#res_islands = 15000
 
 poly_ref_nw4 = read_polygon(polygons_dir+'ref_nw4.csv')
Index: /anuga_work/production/dampier_2006/run_dampier.py
===================================================================
--- /anuga_work/production/dampier_2006/run_dampier.py	(revision 4245)
+++ /anuga_work/production/dampier_2006/run_dampier.py	(revision 4246)
@@ -33,5 +33,5 @@
 from anuga.abstract_2d_finite_volumes.util import start_screen_catcher, copy_code_files
 from anuga_parallel.parallel_api import distribute, numprocs, myid, barrier
-
+from anuga_parallel.parallel_abstraction import get_processor_name
 # Application specific imports
 import project                 # Definition of file names and polygons
@@ -43,4 +43,5 @@
 
 start_screen_catcher(project.output_run_time_dir, myid, numprocs)
+print "Processor Name:",get_processor_name()
 
 # filenames
@@ -148,5 +149,5 @@
 # MUST USE TXT FILES FOR CACHING TO WORK!
                     filename = project.combined_dir_name + '.txt',
-                    use_cache = True,
+                    use_cache = False,
                     verbose = True,
                     alpha = 0.1)
@@ -181,5 +182,5 @@
 print 'Reading Boundary file'
 Bf = File_boundary(boundaries_dir_name + '.sww',
-                  domain, time_thinning=1, use_cache=True, verbose=True)
+                  domain, time_thinning=4, use_cache=True, verbose=True)
 
 print 'finished reading boundary file'