Index: anuga_work/production/newcastle_2006/export_results.py
===================================================================
--- anuga_work/production/newcastle_2006/export_results.py	(revision 4247)
+++ anuga_work/production/newcastle_2006/export_results.py	(revision 4248)
@@ -5,7 +5,12 @@
 from os import sep
 
+# first run
 #time_dir = '20061207_035946' #bulli
 #time_dir = '20061212_012802' #shovel
-time_dir = '20061212_064757' #yacaaba
+#time_dir = '20061212_064757' #yacaaba
+# second run
+#time_dir = '20070119_055707' # yacaaba
+time_dir = '20070121_213838' # shovel
+#time_dir = '20070119_055809' # bulli
 
 directory = project_slide.outputdir
@@ -26,5 +31,5 @@
 
 if which_var == 2:  # Depth
-    outname = name + '_depth'
+    outname = name + '_depth-shovel'
     quantityname = 'stage-elevation'  
 
@@ -58,5 +63,5 @@
     sww2dem(name, basename_out = outname,
                 quantity = quantityname,
-                cellsize = 100,      
+                cellsize = 25,      
                 easting_min = project_slide.eastingmin,
                 easting_max = project_slide.eastingmax,
Index: anuga_work/production/newcastle_2006/run_newcastle_slide.py
===================================================================
--- anuga_work/production/newcastle_2006/run_newcastle_slide.py	(revision 4247)
+++ anuga_work/production/newcastle_2006/run_newcastle_slide.py	(revision 4248)
@@ -143,12 +143,12 @@
 from smf import slide_tsunami
 
-tsunami_source = slide_tsunami(length=project_slide.yacaaba_length,
-                               width=project_slide.yacaaba_width,
-                               depth=project_slide.yacaaba_depth,
-                               slope=project_slide.yacaaba_slope,
-                               thickness=project_slide.yacaaba_thickness, 
-                               x0=project_slide.slide_origin_yacaaba_a[0], 
-                               y0=project_slide.slide_origin_yacaaba_a[1], 
-                               alpha=project_slide.yacaaba_alpha, 
+tsunami_source = slide_tsunami(length=project_slide.shovel_length,
+                               width=project_slide.shovel_width,
+                               depth=project_slide.shovel_depth,
+                               slope=project_slide.shovel_slope,
+                               thickness=project_slide.shovel_thickness, 
+                               x0=project_slide.slide_origin_shovel_c[0], 
+                               y0=project_slide.slide_origin_shovel_c[1], 
+                               alpha=project_slide.shovel_alpha, 
                                domain=domain)
 
Index: anuga_work/production/onslow_2006/MOST_timeseries.py
===================================================================
--- anuga_work/production/onslow_2006/MOST_timeseries.py	(revision 4247)
+++ anuga_work/production/onslow_2006/MOST_timeseries.py	(revision 4248)
@@ -49,4 +49,5 @@
                               reportname = 'latexoutput_MOST_ANUGA_comparison',
                               plot_quantity = ['stage', 'speed'],
+                              generate_fig = True,
                               surface = False,
                               time_min = None,
Index: anuga_work/production/onslow_2006/compare_parameter_change.py
===================================================================
--- anuga_work/production/onslow_2006/compare_parameter_change.py	(revision 4247)
+++ anuga_work/production/onslow_2006/compare_parameter_change.py	(revision 4248)
@@ -65,4 +65,5 @@
                               reportname = 'latexoutputparameterchange',
                               plot_quantity = ['stage', 'speed'],
+                              generate_fig = True,
                               surface = False,
                               time_min = None,
Index: anuga_work/production/onslow_2006/compare_timeseries_data.py
===================================================================
--- anuga_work/production/onslow_2006/compare_timeseries_data.py	(revision 4247)
+++ anuga_work/production/onslow_2006/compare_timeseries_data.py	(revision 4248)
@@ -45,4 +45,5 @@
                               surface = False,
                               plot_quantity = plot_quantity,
+                              generate_fig = True,
                               time_min = None,
                               time_max = None,
Index: anuga_work/production/onslow_2006/make_report.py
===================================================================
--- anuga_work/production/onslow_2006/make_report.py	(revision 4247)
+++ anuga_work/production/onslow_2006/make_report.py	(revision 4248)
@@ -133,4 +133,5 @@
                                                       reportname = reportname,
                                                       plot_quantity = ['stage', 'momentum'],
+                                                      generate_fig = True,
                                                       surface = False,
                                                       time_min = None,
@@ -161,4 +162,5 @@
                                               reportname = reportname,
                                               plot_quantity = ['stage', 'speed'],
+                                              generate_fig = True,
                                               surface = False,
                                               time_min = None,
Index: anuga_work/production/sydney_2006/export_results.py
===================================================================
--- anuga_work/production/sydney_2006/export_results.py	(revision 4247)
+++ anuga_work/production/sydney_2006/export_results.py	(revision 4248)
@@ -7,5 +7,10 @@
 #time_dir = '20061211_071516' #bulli
 #time_dir = '20061212_012705' #shovel
-time_dir = '20061212_064807' #yacaaba
+#time_dir = '20061212_064807' #yacaaba
+
+#time_dir = '20070121_213509' #shovel
+#time_dir = '20070119_055222' #yacaaba
+time_dir = '20070121_213444' #bulli
+
 
 directory = project_slide.outputdir
@@ -26,5 +31,5 @@
 
 if which_var == 2:  # Depth
-    outname = name + '_depth'
+    outname = name + '_depth-bulli'
     quantityname = 'stage-elevation'  
 
Index: anuga_work/production/sydney_2006/run_sydney_slide.py
===================================================================
--- anuga_work/production/sydney_2006/run_sydney_slide.py	(revision 4247)
+++ anuga_work/production/sydney_2006/run_sydney_slide.py	(revision 4248)
@@ -163,12 +163,12 @@
 from smf import slide_tsunami
 
-tsunami_source = slide_tsunami(length=project_slide.yacaaba_length,
-                               width=project_slide.yacaaba_width,
-                               depth=project_slide.yacaaba_depth,
-                               slope=project_slide.yacaaba_slope,
-                               thickness=project_slide.yacaaba_thickness, 
-                               x0=project_slide.slide_origin_yacaaba_a[0], 
-                               y0=project_slide.slide_origin_yacaaba_a[1], 
-                               alpha=project_slide.yacaaba_alpha, 
+tsunami_source = slide_tsunami(length=project_slide.shovel_length,
+                               width=project_slide.shovel_width,
+                               depth=project_slide.shovel_depth,
+                               slope=project_slide.shovel_slope,
+                               thickness=project_slide.shovel_thickness, 
+                               x0=project_slide.slide_origin_shovel_b[0], 
+                               y0=project_slide.slide_origin_shovel_b[1], 
+                               alpha=project_slide.shovel_alpha, 
                                domain=domain)
 
Index: anuga_work/production/wollongong_2006/export_results.py
===================================================================
--- anuga_work/production/wollongong_2006/export_results.py	(revision 4247)
+++ anuga_work/production/wollongong_2006/export_results.py	(revision 4248)
@@ -5,7 +5,17 @@
 from os import sep
 
+# first run
 #time_dir = '20061211_060105' #bulli
 #time_dir = '20061212_012715' #shovel
-time_dir = '20061212_064735' #yacaaba
+#time_dir = '20061212_064735' #yacaaba
+
+# second run
+#time_dir = '20070121_213616' #yacaaba
+#time_dir = '20070121_213550' #bulli
+#time_dir = '20070119_055620' #shovel
+
+# timing run - flux limiter in place
+time_dir = '20070208_045514' # bulli
+#time_dir = '20070208_044802' # for version without new flux limiter
 
 directory = project_slide.outputdir
@@ -26,5 +36,5 @@
 
 if which_var == 2:  # Depth
-    outname = name + '_depth'
+    outname = name + '_depth-bulli-fluxlimiter'
     quantityname = 'stage-elevation'  
 
Index: anuga_work/production/wollongong_2006/run_gong_slide.py
===================================================================
--- anuga_work/production/wollongong_2006/run_gong_slide.py	(revision 4247)
+++ anuga_work/production/wollongong_2006/run_gong_slide.py	(revision 4248)
@@ -147,12 +147,12 @@
 from smf import slide_tsunami
 
-tsunami_source = slide_tsunami(length=project_slide.yacaaba_length,
-                               width=project_slide.yacaaba_width,
-                               depth=project_slide.yacaaba_depth,
-                               slope=project_slide.yacaaba_slope,
-                               thickness=project_slide.yacaaba_thickness, 
-                               x0=project_slide.slide_origin_yacaaba_a[0], 
-                               y0=project_slide.slide_origin_yacaaba_a[1], 
-                               alpha=project_slide.yacaaba_alpha, 
+tsunami_source = slide_tsunami(length=project_slide.bulli_length,
+                               width=project_slide.bulli_width,
+                               depth=project_slide.bulli_depth,
+                               slope=project_slide.bulli_slope,
+                               thickness=project_slide.bulli_thickness, 
+                               x0=project_slide.slide_origin_bulli[0], 
+                               y0=project_slide.slide_origin_bulli[1], 
+                               alpha=project_slide.bulli_alpha, 
                                domain=domain)
 