Index: /anuga_core/documentation/planning/Inundation Scenarios - 06 07 Plan.Gnt
===================================================================
--- /anuga_core/documentation/planning/Inundation Scenarios - 06 07 Plan.Gnt	(revision 4273)
+++ /anuga_core/documentation/planning/Inundation Scenarios - 06 07 Plan.Gnt	(revision 4274)
@@ -1,7 +1,7 @@
 ﻿<?xml version="1.0" encoding="utf-8"?>
 <!--****WARNING: DO NOT MODIFY THIS FILE DIRECTLY******-->
-<Gantt Version="0.902" Checksum="FkpD2Gk1zVI=">
+<Gantt Version="0.902" Checksum="5SnRo+0U/ns=">
   <Display Width="0" Height="0" Split="178" />
-  <Miscellaneous Saved="2006-12-19 10:48:35Z" Created="Monday, 18 December 2006 11:48:35 " />
+  <Miscellaneous Saved="2007-02-22 17:45:08Z" Created="Thursday, 22 February 2007 6:45:08 " />
   <Globalization>
     <Culture LCID="3081" ISO="ENA" DN="English (Australia)" Cal="System.Globalization.GregorianCalendar" Parent="English">English (Australia)</Culture>
@@ -20,36 +20,36 @@
     <Task ID="6" Type="1" S="2006-09-15" SH="12" P="0" In="0" B="2" BC="-16776961" D="50.5" H="35" L="0" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">K/D scenario</Task>
     <Task ID="7" Type="1" S="2006-10-06" SH="12" P="0" In="0" B="0" BC="-16776961" D="0" H="35" L="0" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Delivery of Broome offshore data to NM&amp;I</Task>
-    <Task ID="8" Type="1" S="2006-12-15" SH="12" P="0" In="0" B="0" BC="-16776961" D="0" H="35" L="0" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Delivery of Broome data</Task>
-    <Task ID="9" Type="1" S="2007-01-08" SH="0" P="8" In="0" B="2" BC="-16776961" D="3.0" H="35" L="15.5" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Broome setup</Task>
+    <Task ID="8" Type="1" S="2007-02-26" SH="0" P="0" In="0" B="0" BC="-16776961" D="0" H="35" L="0" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Delivery of Broome data</Task>
+    <Task ID="9" Type="1" S="2007-02-27" SH="0" P="8" In="0" B="2" BC="-16776961" D="3.0" H="35" L="1" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Broome setup</Task>
     <Task ID="10" Type="1" S="2006-11-24" SH="12" P="0" In="0" B="0" BC="-16776961" D="0" H="35" L="0" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Delivery of Perth offshore data to NM&amp;I</Task>
     <Task ID="11" Type="1" S="2006-12-07" SH="12" P="0" In="0" B="0" BC="-16776961" D="0" H="35" L="0" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Delivery of Perth data</Task>
     <Task ID="12" Type="1" S="2006-12-08" SH="0" P="11" In="0" B="2" BC="-16776961" D="7" H="35" L="0.5" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Perth setup</Task>
     <Task ID="13" Type="1" S="2006-11-24" SH="0" P="0" In="0" B="0" BC="-16776961" D="0" H="35" L="0" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Delivery of Busselton offshore data to NM&amp;I</Task>
-    <Task ID="14" Type="1" S="2006-12-18" SH="0" P="0" In="0" B="0" BC="-16776961" D="0" H="35" L="0" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Delivery of Busselton data</Task>
-    <Task ID="15" Type="1" S="2006-12-19" SH="12" P="14" In="0" B="2" BC="-16776961" D="3.5" H="35" L="1.5" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Busselton setup</Task>
+    <Task ID="14" Type="1" S="2007-02-23" SH="12" P="0" In="0" B="0" BC="-16776961" D="0" H="35" L="0" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Delivery of Busselton data</Task>
+    <Task ID="15" Type="1" S="2007-02-26" SH="0" P="14" In="0" B="2" BC="-16776961" D="3.5" H="35" L="0.5" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Busselton setup</Task>
     <Task ID="16" Type="1" S="2006-11-27" SH="0" P="0" In="0" B="0" BC="-16776961" D="0" H="35" L="0" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Delivery of Exmouth offshore data to NM&amp;I</Task>
-    <Task ID="17" Type="1" S="2006-12-21" SH="0" P="0" In="0" B="0" BC="-16776961" D="0" H="35" L="0" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Delivery of Exmouth data</Task>
-    <Task ID="18" Type="1" S="2007-01-11" SH="0" P="17" In="0" B="2" BC="-16776961" D="3" H="35" L="15" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Exmouth setup</Task>
-    <Task ID="19" Type="1" S="2006-12-22" SH="0" P="0" In="0" B="0" BC="-16776961" D="0" H="35" L="0" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Deliver of updated K/D data</Task>
-    <Task ID="20" Type="1" S="2007-01-03" SH="12" P="19" In="0" B="2" BC="-16776961" D="2.5" H="35" L="8.5" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">K/D resetup</Task>
-    <Task ID="21" Type="1" S="2007-01-12" SH="12" P="0" In="0" B="0" BC="-16776961" D="0" H="35" L="0" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Delivery of Shark Bay offshore data to NM&amp;I</Task>
-    <Task ID="22" Type="1" S="2007-02-02" SH="0" P="0" In="0" B="0" BC="-16776961" D="0" H="35" L="0" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Delivery of Shark Bay data</Task>
-    <Task ID="23" Type="1" S="2007-01-24" SH="12" P="0" In="0" B="0" BC="-16776961" D="0" H="35" L="0" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Delivery of BC for Shark Bay</Task>
-    <Task ID="24" Type="1" S="2007-02-05" SH="0" P="22" In="0" B="2" BC="-16776961" D="15" H="35" L="1" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Shark Bay validation exercise</Task>
-    <Task ID="25" Type="1" S="2007-01-17" SH="12" P="0" In="0" B="0" BC="-16776961" D="0" H="35" L="0" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Decision of number and type of events</Task>
-    <Task ID="26" Type="1" S="2007-01-26" SH="0" P="0" In="0" B="0" BC="-16776961" D="0" H="35" L="0" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Delivery of events</Task>
-    <Task ID="27" Type="1" S="2007-01-29" SH="12" P="0" In="0" B="2" BC="-16776961" D="15" H="35" L="0" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">K/D run</Task>
-    <Task ID="28" Type="1" S="2007-02-05" SH="0" P="0" In="0" B="2" BC="-16776961" D="15" H="35" L="0" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Broome run</Task>
-    <Task ID="29" Type="1" S="2007-02-12" SH="0" P="0" In="0" B="2" BC="-16776961" D="15" H="35" L="0" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Perth run</Task>
-    <Task ID="30" Type="1" S="2007-02-19" SH="0" P="0" In="0" B="2" BC="-16776961" D="15" H="35" L="0" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Busselton run</Task>
-    <Task ID="31" Type="1" S="2007-02-26" SH="0" P="0" In="0" B="2" BC="-16776961" D="14.5" H="35" L="0" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Exmouth run</Task>
-    <Task ID="32" Type="1" S="2007-03-05" SH="0" P="0" In="0" B="2" BC="-16776961" D="14.5" H="35" L="0" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Onslow run</Task>
-    <Task ID="33" Type="1" S="2007-03-12" SH="0" P="0" In="0" B="2" BC="-16776961" D="15" H="35" L="0" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Pt Hedland run</Task>
+    <Task ID="17" Type="1" S="2007-03-09" SH="0" P="0" In="0" B="0" BC="-16776961" D="0" H="35" L="0" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Delivery of Exmouth data</Task>
+    <Task ID="18" Type="1" S="2007-03-12" SH="0" P="17" In="0" B="2" BC="-16776961" D="3" H="35" L="1" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Exmouth setup</Task>
+    <Task ID="19" Type="1" S="2007-03-02" SH="0" P="0" In="0" B="0" BC="-16776961" D="0" H="35" L="0" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Delivery of updated Pt Hedland data</Task>
+    <Task ID="20" Type="1" S="2007-03-05" SH="0" P="19" In="0" B="2" BC="-16776961" D="3" H="35" L="1" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Pt Hedland setup</Task>
+    <Task ID="21" Type="1" S="2007-01-12" SH="0" P="0" In="0" B="0" BC="-16776961" D="0" H="35" L="0" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Deliver of updated K/D data</Task>
+    <Task ID="22" Type="1" S="2007-01-15" SH="0" P="21" In="0" B="2" BC="-16776961" D="35" H="35" L="1" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">K/D resetup</Task>
+    <Task ID="23" Type="1" S="2007-01-12" SH="12" P="0" In="0" B="0" BC="-16776961" D="0" H="35" L="0" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Delivery of Shark Bay offshore data to NM&amp;I</Task>
+    <Task ID="24" Type="1" S="2007-02-23" SH="0" P="0" In="0" B="0" BC="-16776961" D="0" H="35" L="0" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Delivery of Shark Bay data</Task>
+    <Task ID="25" Type="1" S="2007-04-02" SH="0" P="0" In="0" B="0" BC="-16776961" D="0" H="35" L="0" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Delivery of BC for Shark Bay</Task>
+    <Task ID="26" Type="1" S="2007-05-07" SH="0" P="24" In="0" B="2" BC="-16776961" D="30" H="35" L="51" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Shark Bay validation exercise</Task>
+    <Task ID="27" Type="1" S="2007-01-19" SH="0" P="0" In="0" B="0" BC="-16776961" D="0" H="35" L="0" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Decision of number and type of events</Task>
+    <Task ID="28" Type="1" S="2007-03-19" SH="0" P="0" In="0" B="0" BC="-16776961" D="0" H="35" L="0" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Delivery of events</Task>
+    <Task ID="29" Type="1" S="2007-03-19" SH="0" P="0" In="0" B="2" BC="-16776961" D="15" H="35" L="0" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">K/D run</Task>
+    <Task ID="30" Type="1" S="2007-04-02" SH="0" P="0" In="0" B="2" BC="-16776961" D="15" H="35" L="0" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Pt Hedland run</Task>
+    <Task ID="31" Type="1" S="2007-04-16" SH="0" P="0" In="0" B="2" BC="-16776961" D="14.5" H="35" L="0" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Onslow run</Task>
+    <Task ID="32" Type="1" S="2007-04-30" SH="0" P="0" In="0" B="2" BC="-16776961" D="14.5" H="35" L="0" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Exmouth run</Task>
+    <Task ID="33" Type="1" S="2007-05-14" SH="0" P="0" In="0" B="2" BC="-16776961" D="15" H="35" L="0" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Broome run</Task>
     <Task ID="34" Type="1" S="2006-12-05" SH="12" P="0" In="0" B="0" BC="-16776961" D="0" H="35" L="0" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Delivery of offshore data for NSW slump scenarios</Task>
-    <Task ID="35" Type="1" S="2006-12-07" SH="0" P="0" In="0" B="2" BC="-16776961" D="10" H="35" L="0" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Wollongong slump scenario</Task>
-    <Task ID="36" Type="1" S="2006-12-07" SH="0" P="0" In="0" B="2" BC="-16776961" D="10" H="35" L="0" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Sydney slump scenario</Task>
-    <Task ID="37" Type="1" S="2006-12-07" SH="0" P="0" In="0" B="2" BC="-16776961" D="10" H="35" L="0" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Newcastle slump scenario</Task>
+    <Task ID="35" Type="1" S="2006-12-07" SH="0" P="0" In="0" B="2" BC="-16776961" D="10" H="35" L="0" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Wollongong slide scenario</Task>
+    <Task ID="36" Type="1" S="2006-12-07" SH="0" P="0" In="0" B="2" BC="-16776961" D="10" H="35" L="0" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Sydney slide scenario</Task>
+    <Task ID="37" Type="1" S="2006-12-07" SH="0" P="0" In="0" B="2" BC="-16776961" D="10" H="35" L="0" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Newcastle slide scenario</Task>
     <Task ID="38" Type="1" S="2006-12-22" SH="0" P="0" In="0" B="0" BC="-16776961" D="0" H="35" L="0" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">ANUGA release</Task>
-    <Task ID="39" Type="1" S="2007-01-19" SH="0" P="0" In="0" B="0" BC="-16776961" D="0" H="35" L="0" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Beowulf operational</Task>
+    <Task ID="39" Type="1" S="2007-03-02" SH="0" P="0" In="0" B="0" BC="-16776961" D="0" H="35" L="0" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Tornado operational</Task>
     <Task ID="40" Type="1" S="2006-12-22" SH="0" P="0" In="0" B="2" BC="-16776961" D="11" H="35" L="0" I="F" F="F" VA="1" R="" BTL="0" BTT="0" BTR="0" BTB="0">Christmas Break</Task>
   </Tasks>
Index: /anuga_core/source/anuga/abstract_2d_finite_volumes/util.py
===================================================================
--- /anuga_core/source/anuga/abstract_2d_finite_volumes/util.py	(revision 4273)
+++ /anuga_core/source/anuga/abstract_2d_finite_volumes/util.py	(revision 4274)
@@ -1180,5 +1180,5 @@
                         else:
                             plot(model_time[0:n[j]-1,k,j], depths[0:n[j]-1,k,j], '-', c = cstr[j])
-                            axis(depth_axis)                 
+                            #axis(depth_axis)                 
                         units = 'm'
                     if which_quantity == 'momentum':