Index: /anuga_work/production/newcastle_2006/export_results.py
===================================================================
--- /anuga_work/production/newcastle_2006/export_results.py	(revision 4275)
+++ /anuga_work/production/newcastle_2006/export_results.py	(revision 4276)
@@ -11,6 +11,14 @@
 # second run
 #time_dir = '20070119_055707' # yacaaba
-time_dir = '20070121_213838' # shovel
+#time_dir = '20070121_213838' # shovel
 #time_dir = '20070119_055809' # bulli
+#time_dir = '20070213_035538'	#bulli
+#time_dir = '20070213_035629'	#shovel
+#time_dir = '20070213_035728'	#yacaaba
+
+#rerun as data didn't fit properly
+#time_dir = '20070219_060722' #bulli
+#time_dir = '20070219_060808' #shovel
+time_dir = '20070219_060854' #yacaaba
 
 directory = project_slide.outputdir
@@ -31,5 +39,5 @@
 
 if which_var == 2:  # Depth
-    outname = name + '_depth-shovel'
+    outname = name + '_depth-yacaaba-michelle'
     quantityname = 'stage-elevation'  
 
Index: /anuga_work/production/newcastle_2006/project_slide.py
===================================================================
--- /anuga_work/production/newcastle_2006/project_slide.py	(revision 4275)
+++ /anuga_work/production/newcastle_2006/project_slide.py	(revision 4276)
@@ -112,4 +112,10 @@
 northingmax = 6375630
 
+# exporting asc grid for Michelle
+eastingmin = 386450
+eastingmax = 432900
+northingmin = 6357500
+northingmax = 6400700
+
 ###################################################################
 # Slide characteristics
@@ -121,5 +127,5 @@
 slide_origin_yacaaba = [463012,6334735]
 
-# potential slides
+# potential slides: these correspond approximately to modelled depths
 slide_origin_bulli_b = [405617,6249852]
 slide_origin_bulli_c = [465283,6335210]
@@ -129,5 +135,6 @@
 slide_origin_yacaaba_b = [401897,6250643]
 
-bulli_depth = 2087.0
+#bulli_depth = 2087.0
+bulli_depth = 1470.0
 bulli_length = 16840.0
 bulli_thickness = 424.0
@@ -137,5 +144,6 @@
 bulli_alpha = 126.0 - 90.0
 
-shovel_depth = 968.0
+#shovel_depth = 968.0
+shovel_depth = 877.0
 shovel_length = 13500.0
 shovel_thickness = 165.0
@@ -145,5 +153,6 @@
 shovel_alpha = 118.0 - 90.0
 
-yacaaba_depth = 1119.0
+#yacaaba_depth = 1119.0
+yacaaba_depth = 1222.5
 yacaaba_length = 7050.0
 yacaaba_thickness = 144.0
Index: /anuga_work/production/newcastle_2006/run_newcastle_slide.py
===================================================================
--- /anuga_work/production/newcastle_2006/run_newcastle_slide.py	(revision 4275)
+++ /anuga_work/production/newcastle_2006/run_newcastle_slide.py	(revision 4276)
@@ -143,12 +143,12 @@
 from smf import slide_tsunami
 
-tsunami_source = slide_tsunami(length=project_slide.shovel_length,
-                               width=project_slide.shovel_width,
-                               depth=project_slide.shovel_depth,
-                               slope=project_slide.shovel_slope,
-                               thickness=project_slide.shovel_thickness, 
-                               x0=project_slide.slide_origin_shovel_c[0], 
-                               y0=project_slide.slide_origin_shovel_c[1], 
-                               alpha=project_slide.shovel_alpha, 
+tsunami_source = slide_tsunami(length=project_slide.yacaaba_length,
+                               width=project_slide.yacaaba_width,
+                               depth=project_slide.yacaaba_depth,
+                               slope=project_slide.yacaaba_slope,
+                               thickness=project_slide.yacaaba_thickness, 
+                               x0=project_slide.slide_origin_yacaaba[0], 
+                               y0=project_slide.slide_origin_yacaaba[1], 
+                               alpha=project_slide.yacaaba_alpha, 
                                domain=domain)
 
Index: /anuga_work/production/sydney_2006/export_results.py
===================================================================
--- /anuga_work/production/sydney_2006/export_results.py	(revision 4275)
+++ /anuga_work/production/sydney_2006/export_results.py	(revision 4276)
@@ -13,4 +13,8 @@
 time_dir = '20070121_213444' #bulli
 
+#correct depths
+time_dir = '20070213_031322' #	shovel
+#time_dir = '20070213_033012' #	bulli
+#time_dir = '20070213_033058' #	yacaaba
 
 directory = project_slide.outputdir
@@ -31,5 +35,5 @@
 
 if which_var == 2:  # Depth
-    outname = name + '_depth-bulli'
+    outname = name + '_depth-shovel'
     quantityname = 'stage-elevation'  
 
Index: /anuga_work/production/sydney_2006/project_slide.py
===================================================================
--- /anuga_work/production/sydney_2006/project_slide.py	(revision 4275)
+++ /anuga_work/production/sydney_2006/project_slide.py	(revision 4276)
@@ -143,5 +143,5 @@
 slide_origin_yacaaba = [463012,6334735]
 
-# potential slides
+# potential slides: these correspond approximately to modelled depths
 slide_origin_bulli_b = [405617,6249852]
 slide_origin_bulli_c = [465283,6335210]
@@ -151,5 +151,6 @@
 slide_origin_yacaaba_b = [401897,6250643]
 
-bulli_depth = 2087.0
+#bulli_depth = 2087.0
+bulli_depth = 1470.0
 bulli_length = 16840.0
 bulli_thickness = 424.0
@@ -159,5 +160,6 @@
 bulli_alpha = 126.0 - 90.0
 
-shovel_depth = 968.0
+#shovel_depth = 968.0
+shovel_depth = 877.0
 shovel_length = 13500.0
 shovel_thickness = 165.0
@@ -167,5 +169,6 @@
 shovel_alpha = 118.0 - 90.0
 
-yacaaba_depth = 1119.0
+#yacaaba_depth = 1119.0
+yacaaba_depth = 1222.5
 yacaaba_length = 7050.0
 yacaaba_thickness = 144.0
Index: /anuga_work/production/sydney_2006/run_sydney_slide.py
===================================================================
--- /anuga_work/production/sydney_2006/run_sydney_slide.py	(revision 4275)
+++ /anuga_work/production/sydney_2006/run_sydney_slide.py	(revision 4276)
@@ -163,12 +163,12 @@
 from smf import slide_tsunami
 
-tsunami_source = slide_tsunami(length=project_slide.shovel_length,
-                               width=project_slide.shovel_width,
-                               depth=project_slide.shovel_depth,
-                               slope=project_slide.shovel_slope,
-                               thickness=project_slide.shovel_thickness, 
-                               x0=project_slide.slide_origin_shovel_b[0], 
-                               y0=project_slide.slide_origin_shovel_b[1], 
-                               alpha=project_slide.shovel_alpha, 
+tsunami_source = slide_tsunami(length=project_slide.yacaaba_length,
+                               width=project_slide.yacaaba_width,
+                               depth=project_slide.yacaaba_depth,
+                               slope=project_slide.yacaaba_slope,
+                               thickness=project_slide.yacaaba_thickness, 
+                               x0=project_slide.slide_origin_yacaaba_b[0], 
+                               y0=project_slide.slide_origin_yacaaba_b[1], 
+                               alpha=project_slide.yacaaba_alpha, 
                                domain=domain)
 
Index: /anuga_work/production/wollongong_2006/export_results.py
===================================================================
--- /anuga_work/production/wollongong_2006/export_results.py	(revision 4275)
+++ /anuga_work/production/wollongong_2006/export_results.py	(revision 4276)
@@ -16,6 +16,10 @@
 
 # timing run - flux limiter in place
-time_dir = '20070208_045514' # bulli
+#time_dir = '20070208_045514' # bulli
 #time_dir = '20070208_044802' # for version without new flux limiter
+# correct depths
+#time_dir = '20070213_035110'	#bulli
+#time_dir = '20070213_035146'	#shovel
+time_dir = '20070213_035302'	#yacaaba
 
 directory = project_slide.outputdir
@@ -36,5 +40,5 @@
 
 if which_var == 2:  # Depth
-    outname = name + '_depth-bulli-fluxlimiter'
+    outname = name + '_depth-yacaaba-amy'
     quantityname = 'stage-elevation'  
 
Index: /anuga_work/production/wollongong_2006/project_slide.py
===================================================================
--- /anuga_work/production/wollongong_2006/project_slide.py	(revision 4275)
+++ /anuga_work/production/wollongong_2006/project_slide.py	(revision 4276)
@@ -117,4 +117,10 @@
 northingmax = 6202130
 
+# exporting asc grid for Amy
+eastingmin = 282000
+eastingmax = 306500
+northingmin = 6131750
+northingmax = 6170850
+
 ###################################################################
 # Slide characteristics
@@ -126,5 +132,5 @@
 slide_origin_yacaaba = [463012,6334735]
 
-# potential slides
+# potential slides: these correspond approximately to modelled depths
 slide_origin_bulli_b = [405617,6249852]
 slide_origin_bulli_c = [465283,6335210]
@@ -134,5 +140,6 @@
 slide_origin_yacaaba_b = [401897,6250643]
 
-bulli_depth = 2087.0
+#bulli_depth = 2087.0
+bulli_depth = 1470.0
 bulli_length = 16840.0
 bulli_thickness = 424.0
@@ -142,5 +149,6 @@
 bulli_alpha = 126.0 - 90.0
 
-shovel_depth = 968.0
+#shovel_depth = 968.0
+shovel_depth = 877.0
 shovel_length = 13500.0
 shovel_thickness = 165.0
@@ -150,5 +158,6 @@
 shovel_alpha = 118.0 - 90.0
 
-yacaaba_depth = 1119.0
+#yacaaba_depth = 1119.0
+yacaaba_depth = 1222.5
 yacaaba_length = 7050.0
 yacaaba_thickness = 144.0
Index: /anuga_work/production/wollongong_2006/run_gong_slide.py
===================================================================
--- /anuga_work/production/wollongong_2006/run_gong_slide.py	(revision 4275)
+++ /anuga_work/production/wollongong_2006/run_gong_slide.py	(revision 4276)
@@ -147,12 +147,12 @@
 from smf import slide_tsunami
 
-tsunami_source = slide_tsunami(length=project_slide.bulli_length,
-                               width=project_slide.bulli_width,
-                               depth=project_slide.bulli_depth,
-                               slope=project_slide.bulli_slope,
-                               thickness=project_slide.bulli_thickness, 
-                               x0=project_slide.slide_origin_bulli[0], 
-                               y0=project_slide.slide_origin_bulli[1], 
-                               alpha=project_slide.bulli_alpha, 
+tsunami_source = slide_tsunami(length=project_slide.yacaaba_length,
+                               width=project_slide.yacaaba_width,
+                               depth=project_slide.yacaaba_depth,
+                               slope=project_slide.yacaaba_slope,
+                               thickness=project_slide.yacaaba_thickness, 
+                               x0=project_slide.slide_origin_yacaaba_a[0], 
+                               y0=project_slide.slide_origin_yacaaba_a[1], 
+                               alpha=project_slide.yacaaba_alpha, 
                                domain=domain)
 